#ifndef __SAVAGE_STRIKE_H__
#define __SAVAGE_STRIKE_H__

#include "potion.h"

class savage_strike final: public potion {
        inline static const float ATK_MUL = 1.25f;
        inline static const fraction HR_MUL  = {4, 5};
        static const int DURATION = 20;
public:
        savage_strike(const position &pos);
        void apply(const enum race &race, int &HP, int &ATK, int &DEF,
                   fraction &base_hit_rate) override;
        int get_priority() const override;
        const char *get_name() const override;
};

#endif
